LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 08-02-2014, 12:32 AM   #1
forestrat
LQ Newbie
 
Registered: Jul 2014
Posts: 12

Rep: Reputation: Disabled
ShaderModel3 not working


Im trying to get skyrim working on my computer but when I launch I get a message.
Quote:
Failed to initialize renderer.
shadermodel3 required but not supported by your video card
I have a nvidia gforce 7600gs. ubuntu 14.04. Im running skyrim in window mode as I was told that I should do that. Im sure you need more info so just let me know what that info is.
 
Old 08-02-2014, 12:49 AM   #2
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,818

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
are you using the "Nouveau" or Nvidia.run or nvidia.deb driver
 
Old 08-02-2014, 01:20 AM   #3
forestrat
LQ Newbie
 
Registered: Jul 2014
Posts: 12

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by John VV View Post
are you using the "Nouveau" or Nvidia.run or nvidia.deb driver
im not sure. I used the following when i updated to 14.04
Code:
sudo apt-get install nvidia-current
my nvidia x server settings says my driver version is 304.117

Last edited by forestrat; 08-02-2014 at 01:29 AM.
 
Old 08-02-2014, 03:25 AM   #4
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,818

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
304.117

so you have a old LEGACY card installed in this computer
Gforce7
http://www.nvidia.com/Download/drive...px/77034/en-us

the very newest games might not work on a legacy card

you might want to buy a new one
 
Old 08-02-2014, 05:00 PM   #5
forestrat
LQ Newbie
 
Registered: Jul 2014
Posts: 12

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by John VV View Post
304.117

so you have a old LEGACY card installed in this computer
Gforce7
http://www.nvidia.com/Download/drive...px/77034/en-us

the very newest games might not work on a legacy card

you might want to buy a new one
Are you saying the card wont run skyrim? it meets the requirements and It does support sm3.

Im not sure how to install .run files. Im googling around but if some one sees this in the mean time and can make it simple thatd be great.

Im building a gaming pc in the winter. for now ill have to suck it up and work with one I threw together with my brother's old parts

Last edited by forestrat; 08-02-2014 at 05:02 PM.
 
Old 08-02-2014, 07:41 PM   #6
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,818

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
Quote:
Im building a gaming pc in the winter.
then you really do not want to be using a 5 year old nvidia card .
5 years is 1 whole computer hardware generation
the Nvidia deb in the Ubuntu repos will be fine
it is just for a old card

can you post the model of the card
to check run
Code:
sudo lspci | grep VGA

Last edited by John VV; 08-02-2014 at 07:44 PM.
 
Old 08-02-2014, 10:12 PM   #7
forestrat
LQ Newbie
 
Registered: Jul 2014
Posts: 12

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by John VV View Post
then you really do not want to be using a 5 year old nvidia card .
5 years is 1 whole computer hardware generation
the Nvidia deb in the Ubuntu repos will be fine
it is just for a old card

can you post the model of the card
to check run
Code:
sudo lspci | grep VGA
Oh certainly not. This entire computer is 5 years old. Im not planning on using any of its parts.

When I ran it i got
01:00.0 VGA compatible controller: NVIDIA Corporation G73 [GeForce 7600 GS] (rev a2)
 
Old 08-03-2014, 03:48 AM   #8
forestrat
LQ Newbie
 
Registered: Jul 2014
Posts: 12

Original Poster
Rep: Reputation: Disabled
I feel this is an ok enough time to double post. Im not sure if edits bump.
Quote:
Originally Posted by John VV View Post
304.117

so you have a old LEGACY card installed in this computer
Gforce7
http://www.nvidia.com/Download/drive...px/77034/en-us

the very newest games might not work on a legacy card

you might want to buy a new one
I tried to install these drivers and I got some errors. Now when I boot linux I get a blinking underscore.

I get
Quote:
Installation has failed. Please see the file '/var/log/nvidia-installer.log' for details.
I tried booting from cd, mounting the partition and removing the drivers but I get nothing.

Last edited by forestrat; 08-03-2014 at 03:52 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Wifi not working in Eee PPC 1000HE (Debian Squeeze), but ethernet is working someshpr Linux - Laptop and Netbook 8 10-10-2011 04:59 PM
media problem with .avi --- audio only in vlc working rest amarock ,etc. not working fedex Linux - Newbie 1 12-22-2007 09:06 AM
SED - minor changes work - Larger doesn't (working and non working code included) Nimoy Programming 17 09-22-2007 05:34 PM
Fortemedia FM801 card not working under FC5 on Intel 845 but working with windows morningkiran Linux - Hardware 0 11-30-2006 08:57 AM
acpi nearly working IBM thinkpad R40e 2684HVG no Fn key working, throttling OK Emmanuel_uk Linux - Laptop and Netbook 2 05-31-2006 02:41 AM


All times are GMT -5. The time now is 08:10 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration